| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # LocalFileFormatTarget Class Reference Inheritance diagram for LocalFileFormatTarget: [legend] List of all members.
## Public Member Functions
virtual void | writeChars (const XMLByte *const toWrite, const unsigned int count, XMLFormatter *const formatter)
virtual void | flush ()
constructors and destructor
| LocalFileFormatTarget (const XMLCh *const , MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| LocalFileFormatTarget (const char *const , MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~LocalFileFormatTarget ()
## Constructor & Destructor Documentation
LocalFileFormatTarget::LocalFileFormatTarget | ( | const XMLCh * | const,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |
LocalFileFormatTarget::LocalFileFormatTarget | ( | const char * | const,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |
LocalFileFormatTarget::~LocalFileFormatTarget | ( |  | ) |
## Member Function Documentation
virtual void LocalFileFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const unsigned int | count,
|  | XMLFormatter *const | formatter |
| ) |  |  | `[virtual]`
Implements XMLFormatTarget.
virtual void LocalFileFormatTarget::flush | ( |  | ) | `[virtual]`
Reimplemented from XMLFormatTarget. The documentation for this class was generated from the following file: LocalFileFormatTarget.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.